Package de.willuhn.jameica.hbci

# Class AbstractHibiscusHBCICallback

java.lang.Object
org.kapott.hbci.callback.AbstractHBCICallback
de.willuhn.jameica.hbci.AbstractHibiscusHBCICallback

All Implemented Interfaces:
  `org.kapott.hbci.callback.HBCICallback`

Direct Known Subclasses:
  `HBCICallbackSWT`

public abstract class AbstractHibiscusHBCICallback extends org.kapott.hbci.callback.AbstractHBCICallback
Abstrakte Basis-Implementierung des HBCI-Callback. Ermoeglicht gemeinsamen Code in Hibiscus und Payment-Server.

## Field Summary

### Fields inherited from interface org.kapott.hbci.callback.HBCICallback

`CLOSE_CONNECTION, HAVE_CHIPCARD, HAVE_CRC_ERROR, HAVE_ERROR, HAVE_HARDPIN, HAVE_IBAN_ERROR, HAVE_INST_MSG, HAVE_NEW_MY_KEYS, HAVE_VOP_RESULT, NEED_BLZ, NEED_CHIPCARD, NEED_CONNECTION, NEED_COUNTRY, NEED_CUSTOMERID, NEED_FILTER, NEED_HARDPIN, NEED_HOST, NEED_INFOPOINT_ACK, NEED_NEW_INST_KEYS_ACK, NEED_PASSPHRASE_LOAD, NEED_PASSPHRASE_SAVE, NEED_PORT, NEED_PROXY_PASS, NEED_PROXY_USER, NEED_PT_DECOUPLED, NEED_PT_DECOUPLED_RETRY, NEED_PT_PHOTOTAN, NEED_PT_PIN, NEED_PT_QRTAN, NEED_PT_SECMECH, NEED_PT_TAN, NEED_PT_TANMEDIA, NEED_REMOVE_CHIPCARD, NEED_SIZENTRY_SELECT, NEED_SOFTPIN, NEED_USERID, STATUS_DIALOG_END, STATUS_DIALOG_END_DONE, STATUS_DIALOG_INIT, STATUS_DIALOG_INIT_DONE, STATUS_INIT_SIGID, STATUS_INIT_SIGID_DONE, STATUS_INIT_SYSID, STATUS_INIT_SYSID_DONE, STATUS_INIT_UPD, STATUS_INIT_UPD_DONE, STATUS_INST_BPD_INIT, STATUS_INST_BPD_INIT_DONE, STATUS_INST_GET_KEYS, STATUS_INST_GET_KEYS_DONE, STATUS_LOCK_KEYS, STATUS_LOCK_KEYS_DONE, STATUS_MSG_CREATE, STATUS_MSG_CRYPT, STATUS_MSG_DECRYPT, STATUS_MSG_PARSE, STATUS_MSG_RAW_RECV, STATUS_MSG_RAW_RECV_ENCRYPTED, STATUS_MSG_RAW_SEND, STATUS_MSG_RECV, STATUS_MSG_SEND, STATUS_MSG_SIGN, STATUS_MSG_VERIFY, STATUS_SEND_INFOPOINT_DATA, STATUS_SEND_KEYS, STATUS_SEND_KEYS_DONE, STATUS_SEND_TASK, STATUS_SEND_TASK_DONE, TYPE_BOOLEAN, TYPE_NONE, TYPE_SECRET, TYPE_TEXT, USERID_CHANGED, WRONG_PIN`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHibiscusHBCICallback()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`status(String text)`
Protokolliert die Status-Info aus dem HBCI-Kernel.
`void`
`status(org.kapott.hbci.passport.HBCIPassport passport, int statusTag, Object[] o)`
`protected void`
`updateBPD(org.kapott.hbci.passport.HBCIPassport passport)`
Speichert die BPD des Passports in der Hibiscus-Datenbank zwischen und aktualisiert sie automatisch bei Bedarf.
`protected void`
`updateUPD(org.kapott.hbci.passport.HBCIPassport passport)`
Speichert die UPD des Passports in der Hibiscus-Datenbank zwischen und aktualisiert sie automatisch bei Bedarf.

### Methods inherited from class org.kapott.hbci.callback.AbstractHBCICallback

`createDefaultLogLine, status, useThreadedCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.callback.HBCICallback

`callback, log`

## Constructor Details

### AbstractHibiscusHBCICallback

public AbstractHibiscusHBCICallback()

## Method Details

### updateBPD

protected void updateBPD(org.kapott.hbci.passport.HBCIPassport passport)
Speichert die BPD des Passports in der Hibiscus-Datenbank zwischen und aktualisiert sie automatisch bei Bedarf. Dadurch stehen sie in Hibiscus zur Verfuegung, ohne dass hierzu ein Passport geoeffnet werden muss.

Parameters:
  `passport` - der betreffende Passport.

### updateUPD

protected void updateUPD(org.kapott.hbci.passport.HBCIPassport passport)
Speichert die UPD des Passports in der Hibiscus-Datenbank zwischen und aktualisiert sie automatisch bei Bedarf. Dadurch stehen sie in Hibiscus zur Verfuegung, ohne dass hierzu ein Passport geoeffnet werden muss.

Parameters:
  `passport` - der betreffende Passport.

### status

protected abstract void status(String text)
Protokolliert die Status-Info aus dem HBCI-Kernel.

Parameters:
  `text` - zu loggender Text.

### status

public void status(org.kapott.hbci.passport.HBCIPassport passport, int statusTag, Object[] o)

See Also:
  - `HBCICallback.status(org.kapott.hbci.passport.HBCIPassport, int, java.lang.Object[])`